llvm.org GIT mirror llvm / e3f3428
Added configure switches for PIC16 in configure.ac. Regenerated configure. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@51096 91177308-0d34-0410-b5e6-96231b3b80d8 Sanjiv Gupta 12 years ago
2 changed file(s) with 32 addition(s) and 28 deletion(s). Raw diff Collapse all Expand all
215215 ia64-*) llvm_cv_target_arch="IA64" ;;
216216 arm-*) llvm_cv_target_arch="ARM" ;;
217217 mips-*) llvm_cv_target_arch="Mips" ;;
218 pic16-*) llvm_cv_target_arch="PIC16" ;;
218219 *) llvm_cv_target_arch="Unknown" ;;
219220 esac])
220221
313314 IA64) AC_SUBST(TARGET_HAS_JIT,0) ;;
314315 ARM) AC_SUBST(TARGET_HAS_JIT,0) ;;
315316 Mips) AC_SUBST(TARGET_HAS_JIT,0) ;;
317 PIC16) AC_SUBST(TARGET_HAS_JIT,0) ;;
316318 *) AC_SUBST(TARGET_HAS_JIT,0) ;;
317319 esac
318320 fi
362364 [Build specific host targets: all,host-only,{target-name} (default=all)]),,
363365 enableval=all)
364366 case "$enableval" in
365 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha IA64 ARM Mips CellSPU CBackend MSIL CppBackend" ;;
367 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha IA64 ARM Mips CellSPU PIC16 CBackend MSIL CppBackend" ;;
366368 host-only)
367369 case "$llvm_cv_target_arch" in
368370 x86) TARGETS_TO_BUILD="X86" ;;
374376 ARM) TARGETS_TO_BUILD="ARM" ;;
375377 Mips) TARGETS_TO_BUILD="Mips" ;;
376378 CellSPU|SPU) TARGETS_TO_BUILD="CellSPU" ;;
379 PIC16) TARGETS_TO_BUILD="PIC16" ;;
377380 *) AC_MSG_ERROR([Can not set target to build]) ;;
378381 esac
379382 ;;
388391 arm) TARGETS_TO_BUILD="ARM $TARGETS_TO_BUILD" ;;
389392 mips) TARGETS_TO_BUILD="Mips $TARGETS_TO_BUILD" ;;
390393 spu) TARGETS_TO_BUILD="CellSPU $TARGETS_TO_BUILD" ;;
394 pic16) TARGETS_TO_BUILD="PIC16 $TARGETS_TO_BUILD" ;;
391395 cbe) TARGETS_TO_BUILD="CBackend $TARGETS_TO_BUILD" ;;
392396 msil) TARGETS_TO_BUILD="MSIL $TARGETS_TO_BUILD" ;;
393397 cpp) TARGETS_TO_BUILD="CppBackend $TARGETS_TO_BUILD" ;;
47454745 fi
47464746
47474747 case "$enableval" in
4748 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha IA64 ARM Mips CellSPU CBackend MSIL CppBackend PIC16" ;;
4748 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha IA64 ARM Mips CellSPU PIC16 CBackend MSIL CppBackend" ;;
47494749 host-only)
47504750 case "$llvm_cv_target_arch" in
47514751 x86) TARGETS_TO_BUILD="X86" ;;
47564756 IA64) TARGETS_TO_BUILD="IA64" ;;
47574757 ARM) TARGETS_TO_BUILD="ARM" ;;
47584758 Mips) TARGETS_TO_BUILD="Mips" ;;
4759 CellSPU|SPU) TARGETS_TO_BUILD="CellSPU" ;;
47594760 PIC16) TARGETS_TO_BUILD="PIC16" ;;
4760 CellSPU|SPU) TARGETS_TO_BUILD="CellSPU" ;;
47614761 *) { { echo "$as_me:$LINENO: error: Can not set target to build" >&5
47624762 echo "$as_me: error: Can not set target to build" >&2;}
47634763 { (exit 1); exit 1; }; } ;;
47734773 ia64) TARGETS_TO_BUILD="IA64 $TARGETS_TO_BUILD" ;;
47744774 arm) TARGETS_TO_BUILD="ARM $TARGETS_TO_BUILD" ;;
47754775 mips) TARGETS_TO_BUILD="Mips $TARGETS_TO_BUILD" ;;
4776 spu) TARGETS_TO_BUILD="CellSPU $TARGETS_TO_BUILD" ;;
47764777 pic16) TARGETS_TO_BUILD="PIC16 $TARGETS_TO_BUILD" ;;
4777 spu) TARGETS_TO_BUILD="CellSPU $TARGETS_TO_BUILD" ;;
47784778 cbe) TARGETS_TO_BUILD="CBackend $TARGETS_TO_BUILD" ;;
47794779 msil) TARGETS_TO_BUILD="MSIL $TARGETS_TO_BUILD" ;;
47804780 cpp) TARGETS_TO_BUILD="CppBackend $TARGETS_TO_BUILD" ;;
1063510635 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1063610636 lt_status=$lt_dlunknown
1063710637 cat > conftest.$ac_ext <
10638 #line 10634 "configure"
10638 #line 10639 "configure"
1063910639 #include "confdefs.h"
1064010640
1064110641 #if HAVE_DLFCN_H
1277912779 ;;
1278012780 *-*-irix6*)
1278112781 # Find out which ABI we are using.
12782 echo '#line 12778 "configure"' > conftest.$ac_ext
12782 echo '#line 12783 "configure"' > conftest.$ac_ext
1278312783 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1278412784 (eval $ac_compile) 2>&5
1278512785 ac_status=$?
1449714497 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1449814498 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1449914499 -e 's:$: $lt_compiler_flag:'`
14500 (eval echo "\"\$as_me:14496: $lt_compile\"" >&5)
14500 (eval echo "\"\$as_me:14501: $lt_compile\"" >&5)
1450114501 (eval "$lt_compile" 2>conftest.err)
1450214502 ac_status=$?
1450314503 cat conftest.err >&5
14504 echo "$as_me:14500: \$? = $ac_status" >&5
14504 echo "$as_me:14505: \$? = $ac_status" >&5
1450514505 if (exit $ac_status) && test -s "$ac_outfile"; then
1450614506 # The compiler can only warn and ignore the option if not recognized
1450714507 # So say no if there are warnings other than the usual output.
1476514765 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1476614766 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1476714767 -e 's:$: $lt_compiler_flag:'`
14768 (eval echo "\"\$as_me:14764: $lt_compile\"" >&5)
14768 (eval echo "\"\$as_me:14769: $lt_compile\"" >&5)
1476914769 (eval "$lt_compile" 2>conftest.err)
1477014770 ac_status=$?
1477114771 cat conftest.err >&5
14772 echo "$as_me:14768: \$? = $ac_status" >&5
14772 echo "$as_me:14773: \$? = $ac_status" >&5
1477314773 if (exit $ac_status) && test -s "$ac_outfile"; then
1477414774 # The compiler can only warn and ignore the option if not recognized
1477514775 # So say no if there are warnings other than the usual output.
1486914869 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1487014870 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1487114871 -e 's:$: $lt_compiler_flag:'`
14872 (eval echo "\"\$as_me:14868: $lt_compile\"" >&5)
14872 (eval echo "\"\$as_me:14873: $lt_compile\"" >&5)
1487314873 (eval "$lt_compile" 2>out/conftest.err)
1487414874 ac_status=$?
1487514875 cat out/conftest.err >&5
14876 echo "$as_me:14872: \$? = $ac_status" >&5
14876 echo "$as_me:14877: \$? = $ac_status" >&5
1487714877 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1487814878 then
1487914879 # The compiler can only warn and ignore the option if not recognized
1732117321 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1732217322 lt_status=$lt_dlunknown
1732317323 cat > conftest.$ac_ext <
17324 #line 17320 "configure"
17324 #line 17325 "configure"
1732517325 #include "confdefs.h"
1732617326
1732717327 #if HAVE_DLFCN_H
1742117421 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1742217422 lt_status=$lt_dlunknown
1742317423 cat > conftest.$ac_ext <
17424 #line 17420 "configure"
17424 #line 17425 "configure"
1742517425 #include "confdefs.h"
1742617426
1742717427 #if HAVE_DLFCN_H
1978919789 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1979019790 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1979119791 -e 's:$: $lt_compiler_flag:'`
19792 (eval echo "\"\$as_me:19788: $lt_compile\"" >&5)
19792 (eval echo "\"\$as_me:19793: $lt_compile\"" >&5)
1979319793 (eval "$lt_compile" 2>conftest.err)
1979419794 ac_status=$?
1979519795 cat conftest.err >&5
19796 echo "$as_me:19792: \$? = $ac_status" >&5
19796 echo "$as_me:19797: \$? = $ac_status" >&5
1979719797 if (exit $ac_status) && test -s "$ac_outfile"; then
1979819798 # The compiler can only warn and ignore the option if not recognized
1979919799 # So say no if there are warnings other than the usual output.
1989319893 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1989419894 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1989519895 -e 's:$: $lt_compiler_flag:'`
19896 (eval echo "\"\$as_me:19892: $lt_compile\"" >&5)
19896 (eval echo "\"\$as_me:19897: $lt_compile\"" >&5)
1989719897 (eval "$lt_compile" 2>out/conftest.err)
1989819898 ac_status=$?
1989919899 cat out/conftest.err >&5
19900 echo "$as_me:19896: \$? = $ac_status" >&5
19900 echo "$as_me:19901: \$? = $ac_status" >&5
1990119901 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1990219902 then
1990319903 # The compiler can only warn and ignore the option if not recognized
2146321463 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2146421464 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2146521465 -e 's:$: $lt_compiler_flag:'`
21466 (eval echo "\"\$as_me:21462: $lt_compile\"" >&5)
21466 (eval echo "\"\$as_me:21467: $lt_compile\"" >&5)
2146721467 (eval "$lt_compile" 2>conftest.err)
2146821468 ac_status=$?
2146921469 cat conftest.err >&5
21470 echo "$as_me:21466: \$? = $ac_status" >&5
21470 echo "$as_me:21471: \$? = $ac_status" >&5
2147121471 if (exit $ac_status) && test -s "$ac_outfile"; then
2147221472 # The compiler can only warn and ignore the option if not recognized
2147321473 # So say no if there are warnings other than the usual output.
2156721567 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2156821568 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2156921569 -e 's:$: $lt_compiler_flag:'`
21570 (eval echo "\"\$as_me:21566: $lt_compile\"" >&5)
21570 (eval echo "\"\$as_me:21571: $lt_compile\"" >&5)
2157121571 (eval "$lt_compile" 2>out/conftest.err)
2157221572 ac_status=$?
2157321573 cat out/conftest.err >&5
21574 echo "$as_me:21570: \$? = $ac_status" >&5
21574 echo "$as_me:21575: \$? = $ac_status" >&5
2157521575 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2157621576 then
2157721577 # The compiler can only warn and ignore the option if not recognized
2380223802 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2380323803 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2380423804 -e 's:$: $lt_compiler_flag:'`
23805 (eval echo "\"\$as_me:23801: $lt_compile\"" >&5)
23805 (eval echo "\"\$as_me:23806: $lt_compile\"" >&5)
2380623806 (eval "$lt_compile" 2>conftest.err)
2380723807 ac_status=$?
2380823808 cat conftest.err >&5
23809 echo "$as_me:23805: \$? = $ac_status" >&5
23809 echo "$as_me:23810: \$? = $ac_status" >&5
2381023810 if (exit $ac_status) && test -s "$ac_outfile"; then
2381123811 # The compiler can only warn and ignore the option if not recognized
2381223812 # So say no if there are warnings other than the usual output.
2407024070 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2407124071 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2407224072 -e 's:$: $lt_compiler_flag:'`
24073 (eval echo "\"\$as_me:24069: $lt_compile\"" >&5)
24073 (eval echo "\"\$as_me:24074: $lt_compile\"" >&5)
2407424074 (eval "$lt_compile" 2>conftest.err)
2407524075 ac_status=$?
2407624076 cat conftest.err >&5
24077 echo "$as_me:24073: \$? = $ac_status" >&5
24077 echo "$as_me:24078: \$? = $ac_status" >&5
2407824078 if (exit $ac_status) && test -s "$ac_outfile"; then
2407924079 # The compiler can only warn and ignore the option if not recognized
2408024080 # So say no if there are warnings other than the usual output.
2417424174 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2417524175 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2417624176 -e 's:$: $lt_compiler_flag:'`
24177 (eval echo "\"\$as_me:24173: $lt_compile\"" >&5)
24177 (eval echo "\"\$as_me:24178: $lt_compile\"" >&5)
2417824178 (eval "$lt_compile" 2>out/conftest.err)
2417924179 ac_status=$?
2418024180 cat out/conftest.err >&5
24181 echo "$as_me:24177: \$? = $ac_status" >&5
24181 echo "$as_me:24182: \$? = $ac_status" >&5
2418224182 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2418324183 then
2418424184 # The compiler can only warn and ignore the option if not recognized